import { pushTagToGTM } from '../util/gtm/cos-gtm';
import { userClickHeader, userClickLogin } from '../util/gtm/tags-collection';

const userClickedNavigationLink = () => {
  $('.c-navbar_menu a.c-navbar_link.w-nav-link').click(function () {
    const href = $(this).attr('href');

    if (href === '/') {
      pushTagToGTM({ ...userClickHeader, label: 'Header-Home' });
    } else if (href.startsWith('/kaeufer-funktionen')) {
      pushTagToGTM({ ...userClickHeader, label: 'Header-Feature' });
    } else if (href.startsWith('/einlieferer')) {
      pushTagToGTM({ ...userClickHeader, label: 'Header-Become a seller' });
    } else if (href.startsWith('/cargo')) {
      pushTagToGTM({ ...userClickHeader, label: 'Header-Cargo' });
    } else if (href.startsWith('/about')) {
      pushTagToGTM({ ...userClickHeader, label: 'Header-About us' });
    } else if (href.startsWith('/career')) {
      pushTagToGTM({ ...userClickHeader, label: 'Header-Career' });
    }
  });
};

const userClickedLogin = () => {
  $('.c-link-login').click(function () {
    pushTagToGTM({ ...userClickLogin });
  });
};

/**
 * navigation-bar custom events:w
 * @returns {function(): {init: function(): void}}
 */
export const navigationBar = (() => ({
  init: function () {
    userClickedNavigationLink();
    userClickedLogin();
  }
}))();
